package rule.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName Rule
 * @Description 规则表
 * @Author Chen
 * @Date 2024/8/20 11:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "rule")
@Tag(name = "规则")
public class Rule {
    /**
     * 规则ID
     */

    private Long id;
    /**
     * 规则名称
     */

    private String name;
    /**
     * 规则类型
     */

    private String ruleType;
    /**
     * 是否激活
     */

    private String isActivate;
    /**
     * 规则描述
     */

    private String ruleDesc;

}
