package com.muyu.rule.controller;

import com.dtflys.forest.annotation.Get;
import com.muyu.common.core.domain.Result;
import com.muyu.rule.service.RuleTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import rule.domain.RuleType;

import java.util.List;

/**
 * @ClassName RuleTypeController
 * @Description 规则类型控制层
 * @Author Chen
 * @Date 2024/8/22 15:34
 */
@RestController
@RequestMapping("/ruleType")
public class RuleTypeController {
    @Autowired
    private RuleTypeService ruleTypeService;

    /**
     * 规则查询
     *
     * @return
     */
    @GetMapping("/list")
    public Result<List<RuleType>> ruleTypeList() {
        return Result.success(ruleTypeService.list());
    }


    /**
     * 修改
     *
     * @param ruleType
     * @return
     */
    @PutMapping("/update")
    public Result update(@RequestBody RuleType ruleType) {

        return Result.success(ruleTypeService.updateById(ruleType));
    }

    /**
     * 删除
     *
     * @param ruleType
     * @return
     */
    @DeleteMapping("/delete")
    public Result delete(@RequestBody RuleType ruleType) {
        return Result.success(ruleTypeService.removeById(ruleType.getId()));
    }

    /**
     * 添加
     *
     * @param ruleType
     * @return
     */
    @PostMapping("/insert")
    public Result insert(@RequestBody RuleType ruleType) {
        return Result.success(ruleTypeService.save(ruleType));
    }
}
